org.omg.PortableServer

## Class ImplicitActivationPolicyValue

- java.lang.Object
- - org.omg.PortableServer.ImplicitActivationPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class ImplicitActivationPolicyValue
    extends Object
    implements IDLEntity

ImplicitActivationPolicyValue has the following semantics. IMPLICIT_ACTIVATION to indicate implicit activation of servants. This requires SYSTEM_ID and RETAIN policies to be set. NO_IMPLICIT_ACTIVATION to indicate no implicit servant activation.

### Field Summary

Fields
`static int` `_IMPLICIT_ACTIVATION`
`static int` `_NO_IMPLICIT_ACTIVATION`
`static ImplicitActivationPolicyValue` `IMPLICIT_ACTIVATION`
`static ImplicitActivationPolicyValue` `NO_IMPLICIT_ACTIVATION`

### Constructor Summary

Constructors
`protected` `ImplicitActivationPolicyValue(int value)`

### Method Summary

Methods
`static ImplicitActivationPolicyValue` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _IMPLICIT_ACTIVATION

    public static final int _IMPLICIT_ACTIVATION

See Also:
  Constant Field Values

#### IMPLICIT_ACTIVATION

    public static final ImplicitActivationPolicyValue IMPLICIT_ACTIVATION

#### _NO_IMPLICIT_ACTIVATION

    public static final int _NO_IMPLICIT_ACTIVATION

See Also:
  Constant Field Values

#### NO_IMPLICIT_ACTIVATION

    public static final ImplicitActivationPolicyValue NO_IMPLICIT_ACTIVATION

### Constructor Detail

#### ImplicitActivationPolicyValue

    protected ImplicitActivationPolicyValue(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static ImplicitActivationPolicyValue from_int(int value)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.